package com.testor.module.safe.dao;

import com.testor.module.safe.model.domain.TSafeHazardStandardType;
import com.tongtech.tfw.backend.common.models.supers.SuperDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 巡检排查标准管理Mapper接口
 *
 * @author testor-framework
 * @date 2022-08-08 10:55:55
 */
public interface TSafeHazardStandardTypeDao extends SuperDao<TSafeHazardStandardType> {

    Integer maxSort();

    List<TSafeHazardStandardType> getTSafeHazardStandardTypePage(@Param("limit") Long limit, @Param("offset") Long offset);

    int count();
}
